Bug 129000 - [WebRTC] Updating RTCConfiguration to match WebRTC editor's draft of 01/27/2014
Summary: [WebRTC] Updating RTCConfiguration to match WebRTC editor's draft of 01/27/2014
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Thiago de Barros Lacerda
URL:
Keywords:
Depends on:
Blocks: 124288
  Show dependency treegraph
 
Reported: 2014-02-18 14:25 PST by Thiago de Barros Lacerda
Modified: 2014-05-19 09:08 PDT (History)
9 users (show)

See Also:


Attachments
Patch (14.50 KB, patch)
2014-02-18 14:39 PST, Thiago de Barros Lacerda
eric.carlson: review+
thiago.lacerda: commit-queue-
Details | Formatted Diff | Diff
Requested changes (14.20 KB, patch)
2014-02-19 10:03 PST, Thiago de Barros Lacerda
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thiago de Barros Lacerda 2014-02-18 14:25:30 PST
Adding RTCIceTransports and RTCIdentityOption to RTCConfiguration object
Comment 1 Thiago de Barros Lacerda 2014-02-18 14:39:54 PST
Created attachment 224553 [details]
Patch
Comment 2 Eric Carlson 2014-02-18 16:10:14 PST
Comment on attachment 224553 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=224553&action=review

> Source/WebCore/Modules/mediastream/RTCPeerConnection.cpp:77
> +    String iceTransports;
> +    String requestIdentity;

Nit: these can be declared just before they are used.

> Source/WebCore/platform/mediastream/RTCConfiguration.h:77
> +    const String& iceTransports() { return m_iceTransports; }

Nit: this method can be made const.

> Source/WebCore/platform/mediastream/RTCConfiguration.h:83
> +    const String& requestIdentity() { return m_requestIdentity; }

Ditto.
Comment 3 Thiago de Barros Lacerda 2014-02-19 10:03:06 PST
Created attachment 224646 [details]
Requested changes
Comment 4 WebKit Commit Bot 2014-02-19 10:43:19 PST
Comment on attachment 224646 [details]
Requested changes

Clearing flags on attachment: 224646

Committed r164372: <http://trac.webkit.org/changeset/164372>